import axios from '@/common/services/axios-instance'

class IamSourceProblemService {
  // 导出案例库
  exportProblem(id, rootId, arrId) {
    return axios({
      method: 'post',
      url: 'api/xcoa-mobile/v1/spicproblem-category/exportProblem',
      params: { id: Number(id), rootId: Number(rootId), arrId: arrId },
      responseType: 'blob',
    })
  }

  // 获取文件编号
  getFileCode() {
    return axios({
      url: `api/xcoa-mobile/v1/spicproblem/find-code`,
      method: 'post',
    })
  }

  // 查询当前用户是否是审计案例库管理员角色（是否为模块管理员）
  checkSpicProblemPermission() {
    return axios({
      url: `api/xcoa-mobile/v1/spicproblem/checkSpicProblemPermission`,
    })
  }

  // 查询当前用户是否是审计人员（角色）
  checkSpicAuditPermission() {
    return axios({
      url: `api/xcoa-mobile/v1/spicproblem/checkSpicAuditPermission`,
    })
  }
}

export default new IamSourceProblemService()
